Bug 12770 - CTDB daemon crashes if built with clang
CTDB daemon crashes if built with clang
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.6.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-05 16:13 UTC by Amitay Isaacs
Modified: 2017-05-19 07:23 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-6 (1.23 KB, patch)
2017-05-14 17:08 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-05-05 16:13:05 UTC
CTDB crashes while trying to assign DEBUGLEVEL in logging_init().

DEBUGLEVEL is defined as a const array reference at compile time.
debug_init() converts that to an allocated array reference at run time.
Since debug_init() is a static function, initialize DEBUGLEVEL via
setup_logging().
Comment 1 Amitay Isaacs 2017-05-14 17:08:52 UTC
Created attachment 13216 [details]
Patches for v4-6
Comment 2 Martin Schwenke 2017-05-14 23:59:46 UTC
Hi Karolin,

This is ready for 4.6.

Thanks...
Comment 3 Karolin Seeger 2017-05-16 07:17:49 UTC
Pushed to autobuild-v4-6-test.
Comment 4 Karolin Seeger 2017-05-19 07:23:55 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-6-test.
Closing out bug report.

Thanks!